Bug 238297 - print/splix: update to last commit, cleanup
Summary: print/splix: update to last commit, cleanup
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-02 20:12 UTC by Philipp Erbelding
Modified: 2019-06-08 02:03 UTC (History)
2 users (show)

See Also:


Attachments
patch to update splix and fix some warnings (6.36 KB, patch)
2019-06-02 20:12 UTC, Philipp Erbelding
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Erbelding 2019-06-02 20:12:20 UTC
Created attachment 204787 [details]
patch to update splix and fix some warnings

print/splix: Update to latest commit, cleanup portlint warnings

Updates the port to use the latest upstream. Moves the source from SF release tar to github mirror because getting the latest/current committed state from SF turned out to be impractical.

* Change dist location to github mirror to allow consistent fetching
* Add license info
* Update to latest commit to include additional printer models
* Remove files/patch-src_ppdfile.cpp as change is included in latest upstream

The content of the github mirror was verified to be intact. If trust issues exist here, taking the latest state from SF and mirroring in distfiles could be an alternative.

QA:
* portlint: fixed all issues except
  a) can not remove empty "files/" in patch
  b) pkg-desc too long as before
* testport: OK (poudriere: 12amd64)
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-03 02:27:45 UTC
Comment on attachment 204787 [details]
patch to update splix and fix some warnings

Approved by: portmgr (unmaintained port)

Updating the code used whilst not updating the PORTVERSION is a little iffy. We prefer suffixing the actual upstream version but this can have issues too so one has to be careful.

Will leave it up to the committer taking this to decide whats best
Comment 2 wen 2019-06-04 02:09:41 UTC
This patch would ask exp-run first, but I am sure it would break many ports.
And sphinx-2.1.0 released yesterday.

I suggest repocopy py-sphinx --> py-sphinx2, then we can use the newest version sphinx without breaking any ports.

wen
Comment 3 commit-hook freebsd_committer 2019-06-08 00:42:20 UTC
A commit references this bug:

Author: swills
Date: Sat Jun  8 00:42:00 UTC 2019
New revision: 503683
URL: https://svnweb.freebsd.org/changeset/ports/503683

Log:
  print/splix: update to last commit, cleanup

  PR:		238297
  Submitted by:	Philipp Erbelding <philipp@copythat.de>

Changes:
  head/print/splix/Makefile
  head/print/splix/distinfo
  head/print/splix/files/
  head/print/splix/pkg-plist
Comment 4 Steve Wills freebsd_committer 2019-06-08 00:43:06 UTC
Committed, thanks!
Comment 5 Wen Heping freebsd_committer 2019-06-08 02:03:02 UTC
(In reply to wen from comment #2)
Sorry, it is a mistake to reply here.

wen